petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatChop

Set all values in the matrix less than the tolerance to zero

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatChop(Mat A, PetscReal tol)

### Input Parameters

| A | - The matrix
| tol | - The zero tolerance

### Output Parameters

A -The chopped matrix

### See Also

MatCreate(), MatZeroEntries()

### Level

intermediate

### Location

src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages